Ubuntu

“rpm” 4.7.0-9 source package in Ubuntu

Changelog

rpm (4.7.0-9) unstable; urgency=low

  * Provide fallback when dabatase initialisation fails - we now move old
    database away and create empty one as using rpm as package management is
    not supported anyway (Closes: #536519).
  * Use debconf to show message about the cleanup.

rpm (4.7.0-8) unstable; urgency=low

  [ Loïc Minier ]
  * Readd myself as uploader; doh.
  * debian/*: whitespaces and small syntax tweaks
  * Build-dep on libdw-dev instead of libdwarf-dev

  [ Michal Čihař ]
  * Build depend on libbeecrypt-dev instead of libbeecrypt6-dev
    (Closes: #536451).
  * Add special option --force-debian when user wants to install rpm
    package on Debian system and tell user to use alien instead.
  * Initialize package database in postinst, due to above change we have
    better way to tell user that he should not use rpm than crying when
    rpmdb is not initialized (Closes: #451441).
  * Drop now deprecated patch 16-debian-warn.diff.
  * Update README.Debian to match new state of things.
  * Drop rpm-i18n and elfutils down to Suggests: as neither of these are
    relevant to the common use case for rpm in Debian (i.e., alien)
    (merge from Ubuntu).

 -- Bhavani Shankar <email address hidden>   Mon,  20 Jul 2009 14:29:11 +0100

Upload details

Uploaded by:
Bhavani Shankar on 2009-07-20
Uploaded to:
Karmic
Original maintainer:
Michal Čihař
Component:
main
Architectures:
any
Section:
admin
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size MD5 Checksum
rpm_4.7.0.orig.tar.gz 4.1 MiB 73e8405be356b06d83e3abacf16ac881
rpm_4.7.0-9.diff.gz 477.3 KiB feb5690602b57f83ddde47d3bbf228a1
rpm_4.7.0-9.dsc 1.6 KiB 2fd2baa612b16766b47c0ffc4709ff65

Available diffs

Binary packages built by this source

librpm-dbg: No summary available for librpm-dbg in ubuntu karmic.

No description available for librpm-dbg in ubuntu karmic.

librpm-dev: RPM shared library, development kit

 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 This package provides the development kit, containing static
 libraries and header files necessary to build programs that use
 librpm.

librpm0: RPM shared library

 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 This library allows programs to make use of an RPM database or RPM packages
 without going through the program rpm.

librpmbuild0: No summary available for librpmbuild0 in ubuntu karmic.

No description available for librpmbuild0 in ubuntu karmic.

librpmio0: RPM IO shared library

 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 This library provides basic IO functionality which is used by librpm.

lsb-rpm: RPM Package Manager for LSB package building

 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 This is a version of rpm built to create rpm v3 packages as used in the
 Linux Standards Base. You should need this package only if you are
 developing LSB packages; you do not need it to install or use LSB packages
 on Debian.
 .
 The binary is linked statically so it should be possible to use it
 in the restricted lsbdev environment.

python-rpm: No summary available for python-rpm in ubuntu karmic.

No description available for python-rpm in ubuntu karmic.

rpm: No summary available for rpm in ubuntu karmic.

No description available for rpm in ubuntu karmic.

rpm-i18n: No summary available for rpm-i18n in ubuntu karmic.

No description available for rpm-i18n in ubuntu karmic.